/*
 * Copyright (c) 2003 wwcube@yahoo.co.jp
 */
/*
 * Copyright (c) 1999-2000, Qute Corporation. All rights reserved.
 */
#ifndef FENT_H_INCLUDED
#define FENT_H_INCLUDED

#ifdef  __cplusplus
extern "C" {
#endif

#define FENT_MAXFNAME		16
#define FENT_MAXFINFO		24

typedef struct {
	char	name[FENT_MAXFNAME];/* name of the file */
	char	info[FENT_MAXFINFO];/* extra info for the file */
	long	loc;				/* file: body physical location */
	long	len;				/* file: content length */
	short	count;				/* file: num of blocks */
	unsigned short	mode;		/* access flags, file types etc. */
	long	mtime;				/* last modification time */
	long	handler;
	long	resource;			/* file: resource start position */
} fent_t;

int find_bin(char *buf, long buflen, fent_t *binfentp, char **binbufpp, long *binbuflenp);

#ifdef  __cplusplus
}
#endif

#endif
