/*
 * Copyright (c) 2003 wwcube@yahoo.co.jp
 */
#ifndef TRACELOG_H_INCLUDED
#define TRACELOG_H_INCLUDED

#ifdef  __cplusplus
extern "C" {
#endif

#define TRACELOG_LV_ERROR	1
#define TRACELOG_LV_WARNING	2
#define TRACELOG_LV_INFO	4

int tracelog_setlevel(int level);
int tracelog_open(char *fname);
int tracelog(int level, char *format, ...);
int tracelog_close();

#ifdef  __cplusplus
}
#endif

#endif
